<template>
  <v-container>
    <v-breadcrumbs class="px-0" :items="items"></v-breadcrumbs>

    <v-row no-gutters class="d-flex align-center">
      <h1>Lista de Contatos</h1>
      <v-spacer></v-spacer>
    </v-row>
    <p>Total de Contatos {{ contacts.length }}</p>
    <v-divider></v-divider>
    <div id="customers">
      <div v-for="contact in contacts" :key="contact.id">
        <p>Name: {{ contact.name }}</p>
        <p>Email: {{ contact.email }}</p>
        <v-btn depressed small color="primary" :to="`/contacts/${contact.id}`">Visualizar</v-btn>
        <v-btn depressed small color="error" @click="matar(contact.id)">Deletar</v-btn>
        <v-divider></v-divider>
      </div>
    </div>
  </v-container>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      contacts: [],
      items: [
        {
          text: "Dashboard",
          disabled: false,
          to: "/"
        },
        {
          text: "Contatos",
          disabled: true
        }
      ]
    };
  },
  mounted() {
    return axios
      .get("https://young-forest-65938.herokuapp.com/api/v1/contacts")
      .then(response => {
        var resp = response.data;
        this.contacts = resp.data;
        console.log(resp);
        console.log(this.contacts);
      });
  }
};
</script>
